### Hierarchy

- DeepCopy<OfferSearchResultItem>
  - OfferSearchResultItem

## Index

### Constructors

- constructor

### Properties

- offer
- offerSearch

### Methods

- copy
- deepCopyFromJson
- toJson
- fromJson

## Constructors

### constructor

- new OfferSearchResultItem(offerSearch?: OfferSearch, offer?: Offer): OfferSearchResultItem

- - Defined in repository/models/OfferSearchResultItem.ts:17

  #### Parameters

  - ##### Default value offerSearch: OfferSearch = new OfferSearch()

  - ##### Default value offer: Offer = new Offer()

  #### Returns OfferSearchResultItem

## Properties

### offer

offer: Offer

- Defined in repository/models/OfferSearchResultItem.ts:9

### offerSearch

offerSearch: OfferSearch

- Defined in repository/models/OfferSearchResultItem.ts:8

## Methods

### copy

- copy(changeArgs?: JsonObject<OfferSearchResultItem>): OfferSearchResultItem

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:7

  #### Parameters

  - ##### Optional changeArgs: JsonObject<OfferSearchResultItem>

  #### Returns OfferSearchResultItem

### Protected deepCopyFromJson

- deepCopyFromJson(): OfferSearchResultItem

- Overrides DeepCopy.deepCopyFromJson

  - Defined in repository/models/OfferSearchResultItem.ts:32

  #### Returns OfferSearchResultItem

### toJson

- toJson(): object

- - Defined in repository/models/OfferSearchResultItem.ts:25

  #### Returns object

### Static fromJson

- fromJson(json: object): OfferSearchResultItem

- - Defined in repository/models/OfferSearchResultItem.ts:11

  #### Parameters

  - ##### json: object

  #### Returns OfferSearchResultItem

Generated using TypeDoc